package com.bocloud.cmp.model.hmc.sdk.module;

import com.alibaba.fastjson.JSON;

/**
 * 修改虚拟IO服务器时的实体类
 *
 * @author lkx
 * @since June 8, 2018
 */
public class VirtualIOServerForUpdate {
    private String currentProfileSync;
    private String isConnectionMonitoringEnabled;
    private String allowPerformanceDataCollection;
    private String keylockPosition;
    private PartitionIOConfiguration partitionIOConfiguration;
    private PartitionMemoryConfiguration partitionMemoryConfiguration;
    private String partitionName;
    private PartitionProcessorConfiguration partitionProcessorConfiguration;
    private HostEthernetAdapterLogicalPorts hostEthernetAdapterLogicalPorts;
    private VirtualSCSIMappings virtualSCSIMappings;
    private VirtualFibreChannelMappings virtualFibreChannelMappings;

    public VirtualIOServerForUpdate() {
    }

    public String getCurrentProfileSync() {
        return currentProfileSync;
    }

    public void setCurrentProfileSync(String currentProfileSync) {
        this.currentProfileSync = currentProfileSync;
    }

    public String getIsConnectionMonitoringEnabled() {
        return isConnectionMonitoringEnabled;
    }

    public void setIsConnectionMonitoringEnabled(String isConnectionMonitoringEnabled) {
        this.isConnectionMonitoringEnabled = isConnectionMonitoringEnabled;
    }

    public String getAllowPerformanceDataCollection() {
        return allowPerformanceDataCollection;
    }

    public void setAllowPerformanceDataCollection(String allowPerformanceDataCollection) {
        this.allowPerformanceDataCollection = allowPerformanceDataCollection;
    }

    public String getKeylockPosition() {
        return keylockPosition;
    }

    public void setKeylockPosition(String keylockPosition) {
        this.keylockPosition = keylockPosition;
    }

    public PartitionIOConfiguration getPartitionIOConfiguration() {
        return partitionIOConfiguration;
    }

    public void setPartitionIOConfiguration(PartitionIOConfiguration partitionIOConfiguration) {
        this.partitionIOConfiguration = partitionIOConfiguration;
    }

    public PartitionMemoryConfiguration getPartitionMemoryConfiguration() {
        return partitionMemoryConfiguration;
    }

    public void setPartitionMemoryConfiguration(PartitionMemoryConfiguration partitionMemoryConfiguration) {
        this.partitionMemoryConfiguration = partitionMemoryConfiguration;
    }

    public String getPartitionName() {
        return partitionName;
    }

    public void setPartitionName(String partitionName) {
        this.partitionName = partitionName;
    }

    public PartitionProcessorConfiguration getPartitionProcessorConfiguration() {
        return partitionProcessorConfiguration;
    }

    public void setPartitionProcessorConfiguration(PartitionProcessorConfiguration partitionProcessorConfiguration) {
        this.partitionProcessorConfiguration = partitionProcessorConfiguration;
    }

    public HostEthernetAdapterLogicalPorts getHostEthernetAdapterLogicalPorts() {
        return hostEthernetAdapterLogicalPorts;
    }

    public void setHostEthernetAdapterLogicalPorts(HostEthernetAdapterLogicalPorts hostEthernetAdapterLogicalPorts) {
        this.hostEthernetAdapterLogicalPorts = hostEthernetAdapterLogicalPorts;
    }

    /**
     * @return the virtualSCSIMappings
     */
    public VirtualSCSIMappings getVirtualSCSIMappings() {
        return virtualSCSIMappings;
    }

    /**
     * @param virtualSCSIMappings the virtualSCSIMappings to set
     */
    public void setVirtualSCSIMappings(VirtualSCSIMappings virtualSCSIMappings) {
        this.virtualSCSIMappings = virtualSCSIMappings;
    }

    public VirtualFibreChannelMappings getVirtualFibreChannelMappings() {
        return virtualFibreChannelMappings;
    }

    public void setVirtualFibreChannelMappings(VirtualFibreChannelMappings virtualFibreChannelMappings) {
        this.virtualFibreChannelMappings = virtualFibreChannelMappings;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
